#
# spec file for package awstats (Version 3.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         awstats
Copyright:    GPL
Group:        Networking/Utilities
Autoreqprov:  on
Version:      3.0
Release:      31
URL:          http://awstats.sourceforge.net
Summary:      Advanced Web Statistics
Source:       awstats-%{version}.tar.bz2
Source1:      rc.config.awstats
Source2:      module.awstats
Source3:      awstats.conf
Patch:	      awstats-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
Advanced Web Statistics (AWStats) is a powerfull web server logfile analyzer
(Perl script) that shows you all your Web statistics including visitors,
pages, hits, hours, search engines, keywords used to find your site, broken
links, robots and more.

SuSE series: n

%prep
%setup
%patch

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/local/httpd/cgi-bin/lang
install -d -m 755 $RPM_BUILD_ROOT/usr/local/httpd/icons/awstats
install -d -m 755 $RPM_BUILD_ROOT/var/lib/awstats
install -d -m 755 $RPM_BUILD_ROOT/etc/httpd
install -d -m 755 $RPM_BUILD_ROOT/etc/httpd/modules
cp -a wwwroot/icon/* $RPM_BUILD_ROOT/usr/local/httpd/icons/awstats/
cp -a wwwroot/cgi-bin/lang $RPM_BUILD_ROOT/usr/local/httpd/cgi-bin
cp -a wwwroot/cgi-bin/awstats.conf $RPM_BUILD_ROOT/usr/local/httpd/cgi-bin
cp -a wwwroot/cgi-bin/awstats.pl $RPM_BUILD_ROOT/usr/local/httpd/cgi-bin
install -m 644 $RPM_SOURCE_DIR/awstats.conf $RPM_BUILD_ROOT/etc/httpd
install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 $RPM_SOURCE_DIR/rc.config.awstats $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 644 $RPM_SOURCE_DIR/module.awstats $RPM_BUILD_ROOT/etc/httpd/modules/awstats

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  test -d etc/rc.config.d || mkdir -p etc/rc.config.d
  test -e etc/rc.config.d/apache.rc.config || touch etc/rc.config.d/apache.rc.config
  bin/fillup -q etc/rc.config.d/apache.rc.config var/adm/fillup-templates/rc.config.awstats
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.awstats"
  echo "and update by hand."
fi

%preun
rm -f /var/lib/awstats/*

%files
%defattr(-,root,root)
%doc COPYING.TXT README.TXT
%config /etc/httpd/awstats.conf
/etc/httpd/modules/awstats
%config /usr/local/httpd/cgi-bin/awstats.conf
/usr/local/httpd/cgi-bin/awstats.pl
/usr/local/httpd/icons/awstats
/var/lib/awstats
/var/adm/fillup-templates/rc.config.awstats

%changelog -n awstats
* Wed Aug 29 2001 - kukuk@suse.de
- Add apache config files
* Mon Aug 13 2001 - kukuk@suse.de
- Initial version
